Holger's Java API

## com.antelmann.sql
Class MSAccessHelper

    java.lang.Object
      com.antelmann.sql.ConnectionHelper
          com.antelmann.sql.MSAccessHelper

All Implemented Interfaces:
  Wrapped<Connection>

    public class MSAccessHelper

extends ConnectionHelper

provides added functionality for Microsoft Access databases

Since:
  28.10.2013, 14:15:36
Author:
  holger

Constructor Summary
`MSAccessHelper(Connection con)`

Method Summary
`int` `getMSAutoIncrementKey()` returns the last key that was auto-generated by a MS-Access database; if no key was found, -1 is returned (otherwise the number should be positive)

Methods inherited from class com.antelmann.sql.ConnectionHelper

`addIndex, addOrderBy, addPrimaryIndex, addWhereClause, addWhereClause, addWhereClause, addWhereClauseOnSearchPattern, addWhereClauseOnSearchPattern, contains, contains, convertDateRangeToSQL, convertTimestampRangeToSQL, copyIndices, copyPrimaryKey, copyTable, copyTable, copyTo, countDistinctValues, createTableString, delete, deleteRow, deleteRows, dropIndex, escape, escape, executeUpdate, exportAsCSV, exportAsCSV, exportAsCSV, exportAsCSV, extractRow, extractRowItem, extractRows, filterTable, filterTable, filterTable, filterTable, filterTable, filterTable, filterTableForText, filterTableForText, filterTableForText, filterTableScrollable, filterTableUpdateable, findDuplicates, findInTable, getAggregatedFunctionValue, getAggregatedFunctionValue, getAverageValue, getColumnNames, getCommonColumns, getConnection, getCount, getCount, getDateFormat, getDBType, getDistinctValues, getDistinctValues, getDistinctValuesWithCount, getDistinctValuesWithCount, getFetchSize, getFirstRowFor, getForeignKeysModel, getForeingKeys, getFunctionValue, getFunctionValue, getFunctionValue, getFunctionValue, getIndicesForTable, getMaxTextLength, getMaxValue, getMetaDataAsTableModel, getMinValue, getPrimaryKeysForTable, getReservedWords, getResultSet, getResultSet, getRow, getRowItem, getRowItems, getRowItems, getRowItems, getRowItems, getRowItems, getSumValue, getTable, getTableModel, getTableNames, getTypeNameFor, getValue, getViews, importTableModel, insert, insertRow, insertRow, insertRow, insertRowWithGeneratedKeys, insertTableModel, isCharType, isDateType, isMSAccess, isMySQL, isNumberType, isSelect, isSQLServer, iterate, javaToSql, loadAsMap, loadTable, loadTable, lockTable, mapColumnNamesToDisplayNames, mapColumnNamesToSize, mapColumnNamesToSize, mapColumnNamesToSize, mapColumnNamesToSQLTypes, mapColumnNamesToSQLTypes, mapColumnNamesToTypeString, mapColumnNamesToTypeString, needsSelect, processColumn, queryDuplicates, replace, searchDatabaseFor, searchDuplicates, setDateFormat, setDoNotEscapeNames, setEscapeChars, setFetchSize, sqlToJava, transferTable, trimToLastDot, unwrap, update, update, update, updateRows, updateRows, updateRows, updateTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSAccessHelper

    public MSAccessHelper(Connection con)

Method Detail

### getMSAutoIncrementKey

    public int getMSAutoIncrementKey()
                              throws SQLException

  returns the last key that was auto-generated by a MS-Access database; if no key was found, -1 is returned (otherwise the number should be positive)

  Throws:
    `SQLException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads